AOWP_MethodExecutionPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_MethodExecutionPointcut
/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 12

# Class AOWP_MethodExecutionPointcut

    AOWP_Pointcut
        └─AOWP_StaticPointcut
           └─AOWP_MethodExecutionPointcut

public class AOWP_MethodExecutionPointcut
extends AOWP_StaticPointcut

メソッド実行のイベントを選択するポイントカット記述子です。

Author:
  keiji

Field Summary
private mixed | $_argumentsCount
private mixed | $_className
private mixed | $_methodName
private mixed | $_modifiers

Constructor Summary
AOWP_MethodExecutionPointcut(string modifiers, string className, string methodName, int argumentsCount)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)

Methods inherited from aowp.aspect.pointcut.AOWP_StaticPointcut
_runtimeMatch

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 16

### _argumentsCount

`private mixed $_argumentsCount`

/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 14

### _className

`private mixed $_className`

/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 15

### _methodName

`private mixed $_methodName`

/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 13

### _modifiers

`private mixed $_modifiers`

## Constructor Detail

/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 25

### AOWP_MethodExecutionPointcut

`public AOWP_MethodExecutionPointcut(string modifiers, string className, string methodName, int argumentsCount)`

Parameters:
  modifiers - メソッドの修飾子を空白区切りで記述。
  className - クラス名。
  methodName - メソッド名。
  argumentsCount - 引き数の数。

## Method Detail

/aspect/pointcut/designators/MethodExecutionPointcut.class.php at line 32

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr